public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: sys-apps/byld/
@ 2017-12-02 16:15 David Seifert
  0 siblings, 0 replies; 4+ messages in thread
From: David Seifert @ 2017-12-02 16:15 UTC (permalink / raw
  To: gentoo-commits

commit:     ddafeddaf6ae13391b7bd0317ebe5538930680f7
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Dec  2 15:49:06 2017 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Dec  2 16:15:08 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ddafedda

sys-apps/byld: Port to EAPI 6

Package-Manager: Portage-2.3.16, Repoman-2.3.6

 sys-apps/byld/Manifest          | 2 +-
 sys-apps/byld/byld-1.0.3.ebuild | 9 ++++++---
 2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/sys-apps/byld/Manifest b/sys-apps/byld/Manifest
index a3c6984141e..0f0a96f5889 100644
--- a/sys-apps/byld/Manifest
+++ b/sys-apps/byld/Manifest
@@ -1 +1 @@
-DIST byld-1_0_3.tgz 1128317 SHA256 f5206f6eb0d85f6b9435c24e554262b69dede6dd7d24acd9faea1dc77549cde3 SHA512 ec141b5c7f636e611fd43bbfa69c8a06ebbfb766e5f58086ce4c0fce1271b8a0cd76333b748322efb19e46aaf2ed150cb3a5fc09c91aef55e10f80b1d1551eb0 WHIRLPOOL f2d43ba2c8820f16dcf6beda530e0c4fe3887fa4039b90d920516b4cf9ef25b736ef14133b0ed2924db0328362896eb6583b0ef2fd5d2c0e84b614d8b120de98
+DIST byld-1_0_3.tgz 1128317 BLAKE2B c096cc3cfa4f467c9e5310a6f17d97d5f690fed20a03ce2d70b1d8476003df87815f4ba7c6262be7bfa2597e467c64e750eed8d5da386950d86c1413b62ff380 SHA512 ec141b5c7f636e611fd43bbfa69c8a06ebbfb766e5f58086ce4c0fce1271b8a0cd76333b748322efb19e46aaf2ed150cb3a5fc09c91aef55e10f80b1d1551eb0

diff --git a/sys-apps/byld/byld-1.0.3.ebuild b/sys-apps/byld/byld-1.0.3.ebuild
index 2359a6e8dd4..2c9a65e33e9 100644
--- a/sys-apps/byld/byld-1.0.3.ebuild
+++ b/sys-apps/byld/byld-1.0.3.ebuild
@@ -1,6 +1,8 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
+EAPI=6
+
 DESCRIPTION="build a Linux distribution on a single floppy"
 HOMEPAGE="http://byld.sourceforge.net/"
 SRC_URI="mirror://sourceforge/byld/byld-${PV//./_}.tgz"
@@ -16,8 +18,9 @@ RDEPEND="sys-apps/util-linux"
 src_install() {
 	dodoc BYLDING CREDITS README INSTALL FHS PAKING
 	rm MAKEDEV.8 BYLDING CREDITS README INSTALL FHS LICENSE PAKING
-	dodir /usr/lib/${PN}
-	cp -rf * ${D}/usr/lib/${PN}/
+
+	insinto /usr/lib/${PN}
+	doins -r .
 }
 
 pkg_postinst() {


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/byld/
@ 2021-05-05 11:29 David Seifert
  0 siblings, 0 replies; 4+ messages in thread
From: David Seifert @ 2021-05-05 11:29 UTC (permalink / raw
  To: gentoo-commits

commit:     604e7e7ebafff05ae84060d60635ab38b7279843
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Wed May  5 11:29:07 2021 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Wed May  5 11:29:07 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=604e7e7e

sys-apps/byld: Set QA_PREBUILT

Closes: https://bugs.gentoo.org/725546
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sys-apps/byld/byld-1.0.3.ebuild | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)

diff --git a/sys-apps/byld/byld-1.0.3.ebuild b/sys-apps/byld/byld-1.0.3.ebuild
index 2c9a65e33e9..932d28c0c9f 100644
--- a/sys-apps/byld/byld-1.0.3.ebuild
+++ b/sys-apps/byld/byld-1.0.3.ebuild
@@ -1,23 +1,25 @@
-# Copyright 1999-2017 Gentoo Foundation
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=6
+EAPI=7
 
-DESCRIPTION="build a Linux distribution on a single floppy"
+DESCRIPTION="Build a Linux distribution on a single floppy"
 HOMEPAGE="http://byld.sourceforge.net/"
 SRC_URI="mirror://sourceforge/byld/byld-${PV//./_}.tgz"
 
 LICENSE="GPL-2"
 SLOT="0"
 KEYWORDS="x86"
-IUSE=""
-RESTRICT="strip" #252054
+# bug #252054
+RESTRICT="strip"
 
 RDEPEND="sys-apps/util-linux"
 
+QA_PREBUILT="*"
+
 src_install() {
 	dodoc BYLDING CREDITS README INSTALL FHS PAKING
-	rm MAKEDEV.8 BYLDING CREDITS README INSTALL FHS LICENSE PAKING
+	rm MAKEDEV.8 BYLDING CREDITS README INSTALL FHS LICENSE PAKING || die
 
 	insinto /usr/lib/${PN}
 	doins -r .


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/byld/
@ 2021-06-23  4:51 Sam James
  0 siblings, 0 replies; 4+ messages in thread
From: Sam James @ 2021-06-23  4:51 UTC (permalink / raw
  To: gentoo-commits

commit:     e0f4cb490c9f0e0cc4a866547933097bf64589f5
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Wed Jun 23 04:51:13 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jun 23 04:51:13 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0f4cb49

sys-apps/byld: add missing sys-libs/libtermcap-compat dep

Closes: https://bugs.gentoo.org/728052
Signed-off-by: Sam James <sam <AT> gentoo.org>

 sys-apps/byld/{byld-1.0.3.ebuild => byld-1.0.3-r1.ebuild} | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/sys-apps/byld/byld-1.0.3.ebuild b/sys-apps/byld/byld-1.0.3-r1.ebuild
similarity index 92%
rename from sys-apps/byld/byld-1.0.3.ebuild
rename to sys-apps/byld/byld-1.0.3-r1.ebuild
index 932d28c0c9f..2f2785f8330 100644
--- a/sys-apps/byld/byld-1.0.3.ebuild
+++ b/sys-apps/byld/byld-1.0.3-r1.ebuild
@@ -13,7 +13,8 @@ KEYWORDS="x86"
 # bug #252054
 RESTRICT="strip"
 
-RDEPEND="sys-apps/util-linux"
+RDEPEND="sys-apps/util-linux
+	sys-libs/libtermcap-compat"
 
 QA_PREBUILT="*"
 


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: sys-apps/byld/
@ 2023-11-20 20:37 Ulrich Müller
  0 siblings, 0 replies; 4+ messages in thread
From: Ulrich Müller @ 2023-11-20 20:37 UTC (permalink / raw
  To: gentoo-commits

commit:     53717a8b85eb90703efde25e031c6488dd5c6db8
Author:     Michael Mair-Keimberger <mmk <AT> levelnine <DOT> at>
AuthorDate: Sun Oct 29 12:42:28 2023 +0000
Commit:     Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Mon Nov 20 20:37:52 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=53717a8b

sys-apps/byld: use HTTPS

Signed-off-by: Michael Mair-Keimberger <mmk <AT> levelnine.at>
Signed-off-by: Ulrich Müller <ulm <AT> gentoo.org>

 sys-apps/byld/byld-1.0.3-r1.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/sys-apps/byld/byld-1.0.3-r1.ebuild b/sys-apps/byld/byld-1.0.3-r1.ebuild
index 2f2785f83302..1dafc0d4364e 100644
--- a/sys-apps/byld/byld-1.0.3-r1.ebuild
+++ b/sys-apps/byld/byld-1.0.3-r1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2023 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
 DESCRIPTION="Build a Linux distribution on a single floppy"
-HOMEPAGE="http://byld.sourceforge.net/"
+HOMEPAGE="https://byld.sourceforge.net/"
 SRC_URI="mirror://sourceforge/byld/byld-${PV//./_}.tgz"
 
 LICENSE="GPL-2"


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2023-11-20 20:37 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-12-02 16:15 [gentoo-commits] repo/gentoo:master commit in: sys-apps/byld/ David Seifert
  -- strict thread matches above, loose matches on Subject: below --
2021-05-05 11:29 David Seifert
2021-06-23  4:51 Sam James
2023-11-20 20:37 Ulrich Müller

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox